=== modified file 'codeigniter/application/controllers/ajax.php'
--- codeigniter/application/controllers/ajax.php	2013-05-24 12:07:02 +0000
+++ codeigniter/application/controllers/ajax.php	2013-05-24 12:20:08 +0000
@@ -15,7 +15,10 @@
 		 *	This function loads a popupview to be displayed, the argument is the name of the popupview
 		 */
 		public function popup($popupName) {
-			// Arrays
+			$this->load->view('popup/'.$popupName);
+		}
+
+		function showPopup($popupName) {
 			$headTagData = array(
 				'cssFiles' => array('bannermenu', 'popup')
 			);

=== modified file 'codeigniter/application/views/popup/addCategory.php'
--- codeigniter/application/views/popup/addCategory.php	2013-05-22 14:17:41 +0000
+++ codeigniter/application/views/popup/addCategory.php	2013-05-24 12:20:08 +0000
@@ -1,9 +1,15 @@
-<div id="addCategory">
-	<h2 class="loginTitle">Add Category</h2>
-	<div id="middleLayerPopups">
-		<p>Enter Category Name</p>	
-		<input class="text" type="text" size="20" id="categoryName" name="categoryName" placeholder="Category Name"/><br>
-		<input type="button" class="popupButtons btn" value="Remove">
-		<input type="button" onClick="addCategoryButtonHide()" class="popupButtons btn" value="Cancel">
-	</div>
+<div id="addCategory" class="popup">
+	<h2 class="popupHeader">Add Category</h2>
+	<form>
+		<ul>
+			<li>
+				<label for="categoryName">Category name:</label>
+				<input class="text" type="text" size="20" id="categoryName" name="categoryName" placeholder="Category Name">
+			</li>
+		</ul>
+		<div class="bottomMenu">
+			<button class="popupButton cancelButton btn">Cancel</button>
+			<button type="submit" class="popupButton" onClick="addCategoryButtonHide()">Confirm</button>
+		</div>
+	</form>
 </div>
\ No newline at end of file

